//
//  ViewController.m
//  NSPointerArraySample
//
//  Created by Darrell Kress on 4/1/14.
//  Copyright (c) 2014 Darrell Kress. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
{
    UIView* obj1;
    UIView* obj2;
    UIView* obj3;
    NSPointerArray* myArray;
}
@end

@implementation ViewController

-(BOOL)prefersStatusBarHidden
{
    return YES;
}
-(void)click:(id)sender
{
    obj2 = nil;
    
    UIView* v =  [myArray pointerAtIndex:0];
    NSLog([NSString stringWithFormat:@"Obj1 found : %d", (v!=nil)]);
    
    v =  [myArray pointerAtIndex:1];
    NSLog([NSString stringWithFormat:@"Obj2 found : %d", (v!=nil)]);
    
    v =  [myArray pointerAtIndex:2];
    NSLog([NSString stringWithFormat:@"Obj3 found : %d", (v!=nil)]);
}
- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    UIButton* b1 = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    [b1 setTitle:@"Remove Object" forState:UIControlStateNormal];
    b1.frame = CGRectMake(0,0, 300,300);
    [b1 addTarget:self action:@selector(click:) forControlEvents:UIControlEventTouchUpInside];
    b1.layer.borderWidth = 1;
    b1.layer.borderColor = [UIColor blueColor].CGColor;
    [self.view addSubview:b1];
    
    obj1 = [[UIView alloc]init];
    obj1.tag = 100;
    
    obj2 = [[UIView alloc]init];
    obj2.tag = 200;
    
    obj3 = [[UIView alloc]init];
    obj3.tag = 300;
    
    myArray = [NSPointerArray weakObjectsPointerArray];
    [myArray addPointer:(__bridge void *)obj1];
    [myArray addPointer:(__bridge void *)obj2];
    [myArray addPointer:(__bridge void *)obj3];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
    

    
    
}

@end
